#ifndef EDITORLIST_H
#define EDITORLIST_H

#include <gtk/gtk.h>
#include "editor.h"


extern gpointer EditorObjListGetObj(editor_struct *e, gint row);
extern gint EditorObjListMatchByName(editor_struct *e, const gchar *name);

extern void EditorObjListRealizeAll(
	editor_struct *e, gboolean rerealize
);

extern void EditorObjListUpdateRow(
	editor_struct *e, gint row, gpointer obj
);
extern void EditorObjListUpdateAll(editor_struct *e);

extern gint EditorObjListInsertRow(
	editor_struct *e, gint row, gpointer obj
);

extern void EditorObjListDoGetValues(
	editor_struct *e, gint obj_num, const gpointer obj
);
extern void EditorObjListDoApplyValues(editor_struct *e, gpointer obj);


#endif	/* EDITORLIST_H */
